> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loadforge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Host

> Create a new host by providing necessary details

Create a new host by providing necessary details such as `url`, `port`, and `protocol`. Post-creation, the host will be automatically scheduled for verification.


## OpenAPI

````yaml POST /hosts
openapi: 3.1.0
info:
  title: LoadForge API
  description: >-
    The LoadForge API provides programmatic access to create, manage, and run
    load tests on your web applications
  license:
    name: MIT
  version: 2.0.0
servers:
  - url: https://app.loadforge.com/api/v2
security:
  - bearerAuth: []
paths:
  /hosts:
    post:
      description: Create a new host by providing necessary details
      requestBody:
        description: Host to add
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewHost'
        required: true
      responses:
        '200':
          description: Host creation response
          content:
            application/json:
              schema:
                type: object
                properties:
                  host_id:
                    type: integer
                    description: ID of the created host
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    NewHost:
      type: object
      required:
        - url
        - port
        - protocol
      properties:
        url:
          type: string
          description: Domain name of the host
        port:
          type: string
          description: Port number for the host
        protocol:
          type: string
          description: Protocol used (http or https)
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````